5.1版本是否支持升级到5.2版本

开源版是否有从5.1版本迁移到5.2版本的方法?
请完善如下信息,方便我们协助排查问题

Rainbond版本:
操作系统:
内核版本:
环境:(云服务商,虚拟机等)
节点配置:
安装类型:
如何复现:
尝试解决:
相关截图:
是否重新执行安装:

集群或应用问题额外需要提供如下信息:

  1. 集群是否正常(grctl cluster)
  2. 应用是否正常 (grctl service get <应用别名> -t <租户>)
  3. 应用监听端口是否正确,是否开启了健康检测,持久化目录是否设置正确
  4. 操作流程,能否复现
  5. 是否尝试过更新部分组件的镜像,是否有效
  6. 控制台报错或者异常请确定哪个接口报异常,F12

抄送: @dazuimao1990

版本改动太大,建议重装后进行数据迁移。具体的考量有如下几点:

  • k8s版本需要升级。5.1版本底层使用 k8s v1.10 ,版本非常老旧,5.2 版本最突出的优点就是和k8s 解耦,能够使用最新版本的 k8s ,而对于k8s版本要求的下限也至少是 v1.12。所以从5.1 升级 到 5.2,还需要升级底层的 k8s ,太过复杂。
  • 部署结构不同。5.1版本中,Rainbond组件以容器方式部署运行,由Rainbond自己的服务进行维护;在5.2版本中,Rainbond自身组件托管于 k8s 中运行维护。这两种部署方式差别太大,升级操作难度过高。
  • 对接Rainbond Cloud的经验。我们在Rainbond Cloud 服务的内测阶段,已经成功利用数据迁移的方式,将数家企业级用户的大体量业务迁移到公有云服务上来,这方面已经具备了相当的经验,甚至可以提供一些自动化工具来辅助迁移,使数据迁移工作的难度大大下降。如果各位对于自己大体量的业务迁移感觉无从下手,联系我们,好雨科技技术团队,会为这种大体量的用户提供必要的支持。